FUNCTION (3)

NAME
boost::interprocess::make_managed_weak_ptr

SYNOPSIS

// In header: <boost/interprocess/smart_ptr/weak_ptr.hpp>
template<typename T, typename ManagedMemory>
  managed_weak_ptr< T, ManagedMemory >::type
  make_managed_weak_ptr(T * constructed_object,
                        ManagedMemory & managed_memory);

DESCRIPTION

Returns an instance of a weak pointer constructed with the default allocator and deleter from a pointer of type T that has been allocated in the passed managed segment